%define aurox_ver 9.3
%define rel 1

Summary: AutoGen - The Automated Program Generator
Name: autogen
Version: 5.5.6
Vendor: Bruce Korb http://autogen.sf.net
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Development/Tools
Source: http://prdownload.sourceforge.net/autogen/autogen-%{version}.tar.bz2
BuildRequires: guile-devel
Requires: automake
BuildRoot: %{_tmppath}/%{name}-root

%description
AutoGen is a tool designed for generating program files that contain
repetitive text with varied substitutions.  Its goal is to simplify the
maintenance of programs that contain large amounts of repetitious text.
This is especially valuable if there are several blocks of such text
that must be kept synchronized in parallel tables.

Some parts are released under different licensing:

libopts LGPL  This is a tear-off, redistributable option processing library
autofsm BSD   This is a template for producing finite state machine programs

The Copyright itself is privately held by Bruce Korb.

%prep
%setup
chmod -R +rw *

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

if [ `id -u` -eq 0 ] && egrep -q ^nobody /etc/passwd; then
	echo "switching to user nobody to run 'make check'"
	chown -R nobody . ; su -c "umask 002; make check || touch FAIL" nobody
else
	make check
fi
[ -f FAIL ] && exit 1

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc [A-T][A-Z]* ChangeLog
%{_includedir}/options.h
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_datadir}/aclocal/autoopts.m4
%dir %{_datadir}/autogen
%{_datadir}/autogen/*
%{_mandir}/man1/*.1.gz
%{_mandir}/man3/*.3.gz
%{_infodir}/%{name}.info.gz

%changelog
* Tue Jan 06 2004 Aurox Team <aurox@aurox.org> 0:5.5.6-9.3.aur.1
- revert to 5.5.6 as optget test fails
- 5.5.7
- use _includedir macro; Requires automake
- use configure macro; add explicite files and dir added to the rpm package
- tmppath fixed in spec
- Initial build for Aurox 9.2 (test)

* Sat Mar 15 2003 Bruce Korb <bkorb@gnu.org>
- Rework as a template to automatically produce a properly configured RPM
* Fri Aug 9 2002 Bruce Korb <bkorb@gnu.org>
- Pull stuff from Thomas Steudten's version of this file
